IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'dbo.CFUJ_Moratoria_Contratos_PorcBonif') 
                   and type = 'FN')
BEGIN
    DROP FUNCTION dbo.CFUJ_Moratoria_Contratos_PorcBonif
END
GO

CREATE FUNCTION [dbo].[CFUJ_Moratoria_Contratos_PorcBonif](@pJson VARCHAR(8000))
RETURNS SMALLINT
AS
BEGIN

DECLARE @Porcentaje_Bonificacion	SMALLINT
DECLARE @Calculo					SMALLINT
DECLARE @pId_Cliente				INT

/*Variables recibidas por parametro a traves del JSON*/
SET @pId_Cliente		= ISNULL(CONVERT(INT, dbo.CF_JSON_VALUE(@pJson,'Id_Cliente')), 0)
/*FIN Variables recibidas por parßmetro a traves del JSON*/

SET @Porcentaje_Bonificacion = 0

-- IMPLEMENTAR PARA CADA CLIENTE COMO SEA NECESARIO

RETURN ISNULL(@Porcentaje_Bonificacion, 0)
END

/*
SELECT dbo.CFUJ_Moratoria_Contratos_PorcBonif ('{"Id_Cliente":"65600"}')
*/